Subject: Re: [PATCH v8 08/14] merge-resolve: rewrite in C

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Aug 2022 12:36:02 -0700

Johannes Schindelin <[email-masked]> writes:

> I'm all in favor of adding such a good example there, but there is no
> reason to hold back `git merge-resolve` from being implemented in C.

You did not address the primary point, i.e. why the particular
change is a bad one.  Sure, you lost a scripted porcelain or two
that are not used much, but in exchange for what?  That is _the_
issue and you skirt around it.

The series makes us lose all strategies that are actively tested
that are spawned as a subprocess, which is the way all third-party
strategies will be used.  After this, we have less test coverage of
the codepaths we care about, which is *not* a scripted "resolve"
strategy, but the code that runs third-party strategies as
externals.